=== debian/changelog ===
steam (1.0.0.59-4) unstable; urgency=medium

  * Demote steam-devices to a recommendation.

 -- Michael Gilbert <mgilbert@debian.org>  Mon, 04 Feb 2019 02:41:50 +0000

steam (1.0.0.59-3) unstable; urgency=medium

  * Add Conflicts/Replaces on steam-launcher.
    steam-launcher is a Valve-provided package containing the same
    launcher as Debian's steam package, and the same udev rules as
    Debian's steam-devices package. They are not co-installable: please
    install the steam and steam-devices packages from Debian non-free,
    *or* the steam and steam-launcher packages from Valve, but do not
    mix the two sources.
  * steam-devices: Add Breaks/Replaces on non-matching versions of
    steam. This should prevent mixing Debian's steam and steam-devices
    with Valve's steam-launcher and steam, while allowing switching
    between the two to work. (Closes: #920600)
  * d/scripts/steam: Delete libxcb-dri3.so.0 from the Steam Runtime,
    and add a versioned dependency on a newer version for the host
    system. This library added ABI without increasing the -version-info,
    which means the Steam launcher script can't decide that Debian's
    copy is newer and use it in preference to the Steam Runtime copy.
    (Closes: #921026)
  * Version the dependencies on libgpg-error0 and libxinerama1 to make
    sure the copies on the host system are at least as new as those
    provided by the Steam Runtime.
  * d/steam.bug-control: Add more information to bug reports

 -- Simon McVittie <smcv@debian.org>  Fri, 01 Feb 2019 11:34:54 +0000

steam (1.0.0.59-2) unstable; urgency=medium

  * Revert "Adjust VCS metadata for debian/experimental branch"
  * Use DEP-14 branch name debian/master
  * Upload to unstable

 -- Simon McVittie <smcv@debian.org>  Fri, 25 Jan 2019 11:24:26 +0000

steam (1.0.0.59-1) experimental; urgency=medium

  * New upstream release
  * get-orig-source: Use chdist to download Valve's "source" package
    with secure-APT authentication
    - d/valve-steam-keyring.gpg: Add the signing key for Valve's apt
      repository
  * d/p/udev-permissions.patch: Update for new upstream udev rules
    - new HID device 28de:2102 is now included in 60-steam-vr.rules
  * d/gbp.conf: Explicitly disable pristine-tar for this package.
    We don't keep upstream "source" in the git repository since that
    mostly consists of binary blobs.
  * Display a debconf note if the Nvidia proprietary kernel module is
    loaded, but the corresponding i386 libraries are not found.
    This seems to be the best we can do without adding a Recommends
    on the i386 libraries, which would pull in the binary driver even
    on systems that do not have Nvidia hardware. (See #918996)
  * d/scripts/steam: Cope with different installation directories,
    such as ~/.local/share/Steam from Valve's official packaging,
    without data loss (Closes: #919467)
  * d/scripts/steam: Install to a subdirectory of ~/.steam for new
    installations, to avoid ~/.steam/steam trying to be two things
    at once (Closes: #916303)
  * Adjust VCS metadata for debian/experimental branch

 -- Simon McVittie <smcv@debian.org>  Tue, 22 Jan 2019 10:05:36 +0000

steam (1.0.0.56-2) unstable; urgency=medium

  * Add myself to Uploaders
  * Import debian/ into salsa.debian.org git (Closes: #913651)
  * d/copyright.in: Really refer to the https form of copyright-format.
    d/copyright is generated from d/copyright.in and license files.
    (Closes: #916300)
  * Upgrade steam-devices to a hard dependency.
    The udev rules are increasingly used by the Steam client for input
    remapping, even if no Steam-specific hardware is used. (Closes: #916298)
  * Allow cross-compilation for i386 on a non-i386 build machine
    (Closes: #916301)
  * steam-devices: Mark as Multi-Arch: foreign.
    Otherwise, this package can't satisfy the steam package's dependency
    when installed with `dpkg -i` on an amd64 system (at which time it is
    assumed to belong to the host architecture), as opposed to when it
    is found in the Packages file for an i386 apt repository.
  * d/scripts/steam: Quote variables defensively
  * Demote nvidia-driver-libs-i386 from Recommends to Suggests.
    These drivers are only required on systems where the NVIDIA proprietary
    driver is in use, but the amd64 proprietary driver in nvidia-driver-libs
    already Recommends nvidia-driver-libs-i386, and the kernel driver
    nvidia-kernel-dkms Recommends nvidia-driver, which Depends on
    nvidia-driver-libs; so the only way a user of the proprietary NVIDIA
    driver could fail to have nvidia-driver-libs:i386 installed is if
    they are already disregarding Recommends.
    Keeping this driver in our Suggests means its presence or absence will
    normally be mentioned in bug reports for this package.
  * Normalize dependency lists into lexicographic order (wrap-and-sort -ast)
  * Recommend Mesa Vulkan ICDs, and suggest NVIDIA Vulkan ICD
    (Closes: #916404)
  * Set Rules-Requires-Root to no
  * Standards-Version: 4.3.0 (no changes required)

 -- Simon McVittie <smcv@debian.org>  Fri, 28 Dec 2018 20:12:40 +0000

steam (1.0.0.56-1) unstable; urgency=medium

  * New upstream release
  * Update standards version.
  * Drop zenity from the recommended packages.
  * Add uaccess to the udev rules (closes: #907731).
  * Recommend fontconfig and ca-certificates (closes: #907813).

 -- Michael Gilbert <mgilbert@debian.org>  Mon, 03 Sep 2018 02:42:51 +0000

steam (1.0.0.55-1) unstable; urgency=medium

  * New upstream release.
    - New VR and controller devices supported.
    - Upstream license has been completely revised.
  * Add AppStream metadata about supported hardware.
  * Disable steam client crash minidumps by default.
  * Include upstream changelog in the binary packages.
  * Remove partial files after a failed download (closes: #860950).
  * Output a warning if the hardware does not support sse2 (closes: #903870).


