## steam 1.0.0.61

=== debian/changelog ===
steam (1:1.0.0.61-2ubuntu3) focal; urgency=medium

  * Revert some appstream fields to satisfy GNOME Software (LP: #1864635)

 -- Martin Wimpress <martin.wimpress@ubuntu.com>  Mon, 09 Mar 2020 21:57:14 +0000

steam (1:1.0.0.61-2ubuntu2) focal; urgency=medium

  * Update appstream data so that Steam is displayed in software centers.

 -- Martin Wimpress <martin.wimpress@ubuntu.com>  Wed, 04 Mar 2020 17:22:06 +0100

steam (1:1.0.0.61-2ubuntu1) focal; urgency=medium

  * Merge from Debian Sid (LP: #1796464).
    - Add an epoch to the version number.
    - Add steam-installer package that depends on steam and contains
      appstream metadata to allow Steam to be installed via appsteam enabled
      software centers.
    - Drop debian/steam.preinst because the dconf question it is not supported
      by all software centers.
    - Modify template-helper script for Ubuntu.
    - Modify debian/steam.bug-control for Ubuntu.
    - Disable copyright-helper script in debian/rules.
    - Standards-Version: 4.5.0 (no changes required)

 -- Martin Wimpress <martin.wimpress@ubuntu.com>  Sat, 22 Feb 2020 10:55:30 +0000

steam (1.0.0.61-2) unstable; urgency=medium

  * Upload to unstable
  * d/control: Make Homepage more specific
  * Standards-Version: 4.4.0 (no changes required)
  * Use debhelper-compat 12

 -- Simon McVittie <smcv@debian.org>  Tue, 16 Jul 2019 08:50:02 +0100

steam (1.0.0.61-1) experimental; urgency=medium

  * New upstream release
    - Adds udev rules for NVIDIA Shield input hardware
    - d/p/udev-uinput.patch: Drop, applied upstream
    - d/p/udev-permissions.patch: Drop, mostly applied upstream.
      The only remaining differences in our package were:
      + Setting TAG+="uaccess" twice on SteamVR device nodes, which
        we can drop since it's redundant (once is enough)
      + Setting MODE="0660" on /dev/uinput, which is the default anyway

 -- Simon McVittie <smcv@debian.org>  Fri, 21 Jun 2019 13:10:31 +0100
