=== debian/changelog ===
steam (1:1.0.0.62) beta; urgency=medium

  * build: Adapt for newer Steam Runtime builds.
    In newer runtimes, steam-runtime/i386 is populated with symlinks
    into steam-runtime/lib and steam-runtime/usr, rather than containing
    regular files.
  * build: Populate source package using a Python script.
    This takes care of downloading all the necessary bits from the Steam
    client, and repacking the Steam runtime and some other Steam binaries
    into the bootstrap tarball.
  * debian: Add an epoch to the version number.
    This makes this package supersede the outdated steam package in Ubuntu,
    which has an epoch as a result of an unrelated package "sTeam" that
    existed in historical Ubuntu versions.
  * Take over responsibility for steam_tray_mono.png,
    bin_steam.sh, bin_steamdeps.py from Steam client.
  * bin_steam.sh: Remove redirection to a log file.
    This is not particularly useful in practice, and can easily be replaced
    with ordinary Unix shell redirection when debugging the client or a
    game. We can't rely on it anyway, because third-party packages don't
    tend to do this. (Fixes: steam-for-linux#6901)
  * bin_steam.sh: Add a brief header identifying this file
  * bin_steam.sh: Simplify version management by making it dotted-decimal
  * bin_steam.sh: Include full .deb version number, except for epoch
  * bin_steam.sh: If run directly, default to non-beta Steam universe
  * bin_steam.sh: Use a more robust way to set up ~/.steam/steam symlink
  * bin_steam.sh: Make Ubuntu 20.04 show the .desktop file as "trusted"
  * bin_steam.sh: chmod the .desktop file a+x, not just +x.
    To mark a .desktop file as "trusted" on most desktops, it needs to be
    a+x, which differs from +x under a restrictive umask.
  * bin_steam.sh: Only copy .desktop file to desktop if system-wide.
    The .desktop file hard-codes the path to the executable, so it's only
    suitable for system-wide installations.
  * bin_steam.sh: Prefer content that is adjacent to the script.
    Install all the essential bits into $(pkglibdir).
  * bin_steam.sh: Exit unsuccessfully if a command fails.
  * Add steam and steamdeps symlinks.
    The README says you can run ./steam, so let's make sure you can.
  * bin_steamdeps.py: Use python3.
    Python 2 is EOL, and will not be in Ubuntu 20.04.
    (Fixes steam-for-linux#6869, #6634)
  * bin_steamdeps.py: Cope with Ubuntu 14.04 graphics stack backported
    to 12.04. (Note that the Steam client is no longer supported on 12.04.)
  * bin_steamdeps.py: Print diagnostics to stderr.
    If we print them to stdout, which is fully-buffered by default, then
    they will not necessarily be shown before we actually try to install
    the packages in question.
    Instead, print them to stderr, which is line-buffered by default.
  * bin_steamdeps.py: Fall back to x-terminal-emulator.
  * bin_steamdeps.py: Install libgl1 instead of libgl1-mesa-glx if GLVND.
    libgl1 is the GLVND dispatcher, and replaces the transitional package
    libgl1-mesa-glx, which is likely to disappear in future versions of
    Debian/Ubuntu.
  * bin_steamdeps.py: Remap package names, not complete dependencies.
    This is a lot simpler, and is all we actually need in practice.
  * bin_steamdeps.py: Explicitly depend on amd64 libc and GL stack
  * bin_steamdeps.py: Ignore python-apt.
    Steam claims to need python-apt, but as far as anyone can tell, it
    actually doesn't. (Part of steam-for-linux#6869, #6634)
  * debian: Depend on apt instead of python-apt.
    We ask for python-apt, but we don't seem to actually use it; the
    bin_steamdeps.py script calls out to apt subprocesses instead.
    (Part of steam-for-linux#6869, #6634)
  * debian: Recommend xdg-utils, except on SteamOS
    (Fixes steam-for-linux#2200)
  * debian: Build-Depend on dh-python, with alternative for older distros.
    Building the source package on anything newer than Ubuntu 12.04 'precise'
    or SteamRT 1 'scout' will need dh-python.
  * d/control: Build-depend on perl, for prove(1)
    This is used to run QA checks.
  * Move bootstrap and version checks from Makefile into tests/
  * check_version.sh: Cope with epoch and/or suffix in package version
  * Import steam-devices udev rules from
    <https://github.com/ValveSoftware/steam-devices/> as a subproject:
    - add ZeroPlus P4 (hitbox) hidraw device, 0c12:0ef6
  * Add brief details of the subprojects and their bug reporting addresses
  * d/copyright: Add copyright/licensing details for some open-source parts
    of this package
  * Add some .gitignore files
  * Remove references to steamrepo@list.valvesoftware.com.
    This mailing list no longer exists.
  * d/README.source: Add some documentation for maintainers
  * Ship a known-good binary-blob public key, taken from 1.0.0.61.
    We install this into /etc, so it isn't great if it changes every time
    we rebuild the package. Freeze it at a known-good version, and
    document how to regenerate it in debian/README.source.

 -- Simon McVittie <smcv@collabora.com>  Fri, 06 Mar 2020 16:01:57 +0000

steam (1.0.0.61) precise; urgency=medium

  * Update udev rules

 -- TTimo <ttimo@valvesoftware.com>  Wed, 10 Apr 2019 11:45:24 -0500

steam (1.0.0.60) precise; urgency=medium

  * Updates to the bootstraping logic and bootstraping runtime

 -- TTimo <ttimo@valvesoftware.com>  Mon, 08 Apr 2019 14:17:42 -0500

steam (1.0.0.59) precise; urgency=medium

  * Update udev rules.
  * Add --run option to the steam command, will exec a command through run.sh in the steam runtime environment.

 -- TTimo <ttimo@valvesoftware.com>  Wed, 24 Oct 2018 18:33:34 -0500

steam (1.0.0.58) precise; urgency=medium

  * Bump version, iterate on the internal build systems.

 -- TTimo <ttimo@valvesoftware.com>  Thu, 27 Sep 2018 18:36:04 -0500

steam (1.0.0.57) precise; urgency=medium

  * Bump version to match the internal steambeta package version.

 -- TTimo <ttimo@valvesoftware.com>  Wed, 26 Sep 2018 21:50:39 -0500
