## steam 1.0.0.64

=== debian/changelog ===
steam (1:1.0.0.64) beta; urgency=medium

  [ Simon McVittie ]
  * steamdeps: Recognise xenial as a LTS HWE stack.
    Ubuntu 14.04.6 LTS comes with a backported Ubuntu 16.04.x graphics stack,
    so we need to install libgl1-mesa-glx-lts-xenial and other xenial-derived
    packages instead of the original Ubuntu 14.04.0 versions. (T21844)
  * Remove Recommends: jockey-common.
    According to steam-for-linux#6634, this was the "Additional Drivers"
    module in older Ubuntu, which is no longer present in any supported
    Ubuntu release. Thanks to @BryanQuigley

  [ Ludovico de Nittis ]
  * steam.list: Download updates via https (T21740)
    In older versions of apt (lower than 1.6) we need to install
    apt-transport-https to use https repositories, so do that.
  * steam.list: Switch the suite from precise to stable
    (Fixes: steam-for-linux#4436)
  * steam.list: Add commented-out apt sources for the beta launcher
  * bin_steamdeps: use python-apt for "is_provided" check.
    `apt-cache showpkg` output was intended to be human readable.
    In the apt version shipped with Ubuntu 20.04 they added additional
    information to the "Reverse Provides" field, and that could break our
    parsing.
    Instead, using python-apt, is safer and we will be able to avoid these
    kind of problems in the future.
    (T21880)
  * bin_steamdeps: use --wait option for gnome-terminal if it is available.
    The --disable-factory option is no longer available upstream and in
    Debian, although Ubuntu patches it back in. (T22095)
  * bin_steamdeps: remove deprecated '-e' option in gnome-terminal

 -- Simon McVittie <smcv@collabora.com>  Wed, 24 Jun 2020 11:21:03 +0100

steam (1:1.0.0.63) beta; urgency=medium

  [ Ludovico de Nittis ]
  * debian/steam-launcher.postinst: Notify udevd to reload its rules.
    This means the steam-devices rules should take effect immediately,
    instead of being deferred until after the next reboot. (T19535)
  * bin_steamdeps.py: Remove unused, misleading lineNumber variable
  * bin_steamdeps.py: Conform to PEP-8

  [ Arnaud Rebillout ]
  * bin_steam.sh: Don't overwrite steam.desktop if it's a symlink.
    In a pre-configured distro like SteamOS, ~/Desktop/steam.desktop
    might already be a symlink to /usr/share/applications/steam.desktop,
    in which case overwriting it is pointless. (T21633)

  [ Simon McVittie ]
  * Update steam-devices subproject up to 2020-06-05
    - Add HORIPAD for Nintendo Switch (thanks, @BrokenGale)
      (Fixes: steam-for-linux#6944, steam-devices#7)
    - Add ASTRO C40 controller (thanks, @exhumer2)
      (Fixes: steam-devices#5)
    - Add PowerA Nintendo Switch Controller (thanks, @blazingkin)
      (Fixes: steam-devices#6)
    - Add a workaround for PowerA Wireless Controller
      (thanks, Andrey Smirnov) (Fixes: steam-devices#9; T21767)
  * Update python-vdf subproject to version 3.3
  * Bootstrap using updated Steam client:
    - Client timestamp 1591251555 (2020-06-04)
    - Steam Runtime version 0.20200505.0

 -- Simon McVittie <smcv@collabora.com>  Tue, 09 Jun 2020 11:32:58 +0100
