## steam 1.0.0.66

=== debian/changelog ===
steam (1:1.0.0.66) beta; urgency=medium

  * Bootstrap using updated Steam client:
    - Client timestamp 1595977781 (2020-07-28)
    - Steam Runtime version 0.20200604.0

 -- Simon McVittie <smcv@collabora.com>  Wed, 29 Jul 2020 16:43:18 +0100

steam (1:1.0.0.65) beta; urgency=medium

  * Update steam-devices subproject up to 2020-07-28
    - Replace escaped double quotes in udev rules with single quotes, for
      compatibility with udev < 235 and eudev.
      (thanks, James Le Cuirot) (Fixes: steam-devices#10)
  * bin_steamdeps: Install bubblewrap on Debian systems.
    The Steam container runtime relies on bubblewrap to launch containers.
    The Debian kernel doesn't allow unprivileged users to create new
    user namespaces by default, so we have to install an OS-provided,
    setuid-root bubblewrap executable instead of using the unprivileged
    copy bundled with pressure-vessel.
    (Fixes: T22758; see also Debian#898446)
  * bin_steamdeps: Make pycodestyle happier
  * bin_steamdeps: Add a --dry-run mode

 -- Simon McVittie <smcv@collabora.com>  Wed, 29 Jul 2020 16:37:42 +0100
