## steam 1.0.0.67

=== debian/changelog ===
steam (1:1.0.0.67) beta; urgency=medium

  [ Ludovico de Nittis ]
  * bin_steamdeps: parse /usr/lib/os-release as a fallback
  * bin_steamdeps: don't discard the remapped pkg if it misses a multiarch
  * bin_steamdeps: Choose the most appropriate XDG portal backend.
    When we start to include an XDG portal backend to the list of Steam
    dependencies we want to choose the most appropriate backend based on the
    current running system.

  [ Simon McVittie ]
  * Update steam-devices subproject up to 2020-11-20
    - Add udev rules for DualSense (Playstation 5) controller
      (Fixes: steam-devices#12; thanks to Sam Lantinga and @cow_killer)
  * Build using updated Steam client:
    - Client timestamp 1603992987 (2020-10-29)
    - Steam Runtime version 0.20201005.0

 -- Simon McVittie <smcv@collabora.com>  Fri, 20 Nov 2020 16:16:41 +0000
